#ifndef SHOPSETTINGSFORM_H
#define SHOPSETTINGSFORM_H

#include <QWidget>
#include <formbinder.h>
#include "shopsettings.h"
#include <core.h>
#include "shopitem.h"

namespace Ui {
class ShopSettingsForm;
}

class ShopSettingsForm : public FormBinder<ShopSettings>
{
    Q_OBJECT

public:
    explicit ShopSettingsForm(QWidget *parent = 0);
    ~ShopSettingsForm();

private:
    Ui::ShopSettingsForm *ui;
    AutoTableModel<ShopItem> *m_itemModel;

    // IForm interface
public:
    void loadEntity();

public slots:
    bool saveRecord();
private slots:
    void on_btnCertBrowse_clicked();
};

#endif // SHOPSETTINGSFORM_H
